import RPi.GPIO as GPIO #Wird für die Steuerung der LED benötigt.


















#--------Einstellungen-----------------------------------------------------------------------------------------------------------------------------
Speicherpfad = "/home/pi/LambdaSpektrometer"
        # Der Speicherpfad, unter dem der Programmordner gespeichert ist.
        # Das Argument hinter dem letzten Schrägstrich ist der Name des Ordners.
#--------------------------------------------------------------------------------------------------------------------------------------------------



Settings = Speicherpfad + "/Settings.txt"
with open(Settings, "r") as sf:
    LED = int(sf.readlines()[2].lstrip("LED_pin = ").rstrip("\n"))
print("LED=", LED)
GPIO.setmode(GPIO.BOARD) #Lege die Nummerierung der Pins fest
GPIO.setwarnings(False) #Desaktiviere die Fehlermeldungen
GPIO.setup(LED, GPIO.OUT) #Aktiviere die Kontrolle über die LED
with open(Settings, "r") as sf:
    led_brightness = float(sf.readlines()[6].lstrip("LED_brightness = ").rstrip("\n"))
print("led_brightness=", led_brightness)
pwm = GPIO.PWM(LED, 50)
while 1:
    pwm.start(led_brightness)




